# Generated from rubocop_default_config-0.1.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubocop_default_config

Name: rubygem-%{gem_name}
Version: 0.1.8
Release: 1%{?dist}
Summary: RuboCop config generator
License: MIT
URL: http://rubygems.org/gems/rubocop_default_config
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rubocop) >= 0.49
# BuildRequires: rubygem(rubocop) < 1
BuildArch: noarch

%description
A simple gem to generate default config for RuboCop(for Evokat project).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/rubocop_config
%{_bindir}/rubocop_gen_common
%{_bindir}/rubocop_update
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 0.1.8-1
- Initial package
